Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface WidgetC

All Known Subinterfaces:
  ArchivedGeometryWidgetC, CanvasC, GraphC, HistogramC, RasterC, ZoomRasterC

public interface WidgetC
extends CreateC, CreateS, DropC, DropS

Widget base class.. All graphical widgets inherit from the Widget base class. Widget defines most of the behaviour needed: Widgets are created by the user with a particular parent, and then "pack"ed in order to draw them on the screen. All widgets have three essential things: a widget name used when running Tcl code, an Objective C name when sending messages from Tcl to those objects, and a parent.

Method Summary
`java.lang.Object` | `createParent(java.lang.Object parent)` When a widget is created it needs to be given a parent.
`java.lang.String` | `makeWidgetNameFor(java.lang.Object widget)` Compute the widget name for a component widget.
`java.lang.Object` | `setParent(java.lang.Object parent)` Set the containing window of the widget.
`java.lang.Object` | `setWidgetNameFromParent(Widget parent)` Set the widget name using the parent as context.
`java.lang.Object` | `setWidgetNameFromParentName(java.lang.String parentWidgetName)` Set the widget name using a hypothetical parent name.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### createParent

    public java.lang.Object createParent(java.lang.Object parent)

  When a widget is created it needs to be given a parent. The parent widget will be the widget's containing window. If no parent is given (ie, a parent of nil), then a toplevel Frame will be allocated automatically

### setParent

    public java.lang.Object setParent(java.lang.Object parent)

  Set the containing window of the widget.

### makeWidgetNameFor

    public java.lang.String makeWidgetNameFor(java.lang.Object widget)

  Compute the widget name for a component widget.

### setWidgetNameFromParent

    public java.lang.Object setWidgetNameFromParent(Widget parent)

  Set the widget name using the parent as context.

### setWidgetNameFromParentName

    public java.lang.Object setWidgetNameFromParentName(java.lang.String parentWidgetName)

  Set the widget name using a hypothetical parent name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD